Problems Sending Email After Joining To Active Directory
Description

| encountered a problem after joining my mail server to my Active Directory domain. The problem was that email was not being
delivered, despite being able to successfully log into an account on the mail server. To start | logged in to the mail server to view the
mail server log file, to find the following error:

tail /var/log

Feb 10 09:51:10 mailserver postfix/pipe®’8: fatal: get_service_attr: unknown group: vmail

e While migrating the existing user information directory over to the Active Directory, | had to add a unique group name to the
directory, the existing setup had a vmail user and a vmail group. This was to avoid a conflict between user and group identifier
attributes, so | created a vmail user and a vmailgrp group. The problem was that | had not updated the group information in the
postfix master configuration. | edited the /etc/postfix/master.cf file and changed the following line to the proper version:

dovecot unix - n n = = pipe
flags=DROhu user=vmail:vmail argv=/usr/lib/dovecot/deliver -f ${sender} -d ${user}@S${nexthop}

o Changed to:

dovecot unix - n n = = pipe
flags=DROhu user=vmail:vmailgrp argv=/usr/lib/dovecot/deliver -f ${sender} -d S${user}@S${ne
xthop}

e And finally reloaded the postfix configuration:

postfix reload

This fixed the problem and mail immediate began to deliver properly.

History

#1 - 02/24/2014 07:53 AM - Daniel Curtis

- Status changed from Resolved to Closed

#2 - 02/16/2015 02:02 PM - Daniel Curtis
- Project changed from 31 to GNU/Linux Administration
- Description updated

- Category set to Mail Server
